pub enum BlendingFactors {
    GR_BLEND_ZERO = 0,
    GR_BLEND_ONE = 1,
    GR_BLEND_SRC_COLOR,           // Cs / 255
    GR_BLEND_ONE_MINUS_SRC_COLOR, // 1 – Cs / 255
    GR_BLEND_DST_COLOR,           //Cd / 255
    GR_BLEND_ONE_MINUS_DST_COLOR, //1 – Cd / 255
    GR_BLEND_SRC_ALPHA,           //As / 255
    GR_BLEND_ONE_MINUS_SRC_ALPHA, //1 – As / 255
    GR_BLEND_DST_ALPHA,           //Ad / 255
    GR_BLEND_ONE_MINUS_DST_ALPHA, //1 – Ad / 255
    GR_BLEND_ALPHA_SATURATE,      //min (As / 255, 1 – Ad / 255)
    GR_BLEND_PREFOG_COLOR,        //color before fog is applied
}

pub enum ChromakeyStatus {
    GR_CHROMAKEY_ENABLE = 0,
    GR_CHROMAKEY_DISABLE = 1,
}
